Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType security-configurationType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}security-configurationType

Model
  `<...>
  name?, notes?, realm*, default-realm?, anonymous-admin-lookup-enabled?, credential-encrypted?, web-app-files-case-insensitive?, realm-boot-strap-version?, connection-filter?, connection-filter-rule*, connection-logger-enabled?, compatibility-connection-filters-enabled?, node-manager-username?, node-manager-password-encrypted?, downgrade-untrusted-principals?, enforce-strict-url-pattern?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  Provides domain-wide security configuration information.

  MBean: `SecurityConfigurationMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`anyType` | `realm` 0...∞ Returns all the realms in the domain.
`string` | `default-realm` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `anonymous-admin-lookup-enabled` optional Provides domain-wide security configuration information.
`string` | `credential-encrypted` optional The encrypted password for the domain.
`annonymous type derived from string` | `web-app-files-case-insensitive` optional This property defines the case sensitive URL-pattern matching behavior for security constraints, servlets, filters, virtual-hosts, etc.
`annonymous type derived from string` | `realm-boot-strap-version` optional
`string` | `connection-filter` optional The name of the Java class that implements a connection filter (that is, the `weblogic.`
`string` | `connection-filter-rule` 0...∞ The rules used by any connection filter that implements the `ConnectionFilterRulesListener interface.`
`boolean` | `connection-logger-enabled` optional Specifies whether this WebLogic Server domain should log accepted connections.
`boolean` | `compatibility-connection-filters-enabled` optional Specifies whether this WebLogic Server domain enables compatiblity with previous connection filters.
`string` | `node-manager-username` optional The user name that the Administration Server passes to a Node Manager when it instructs the Node Manager to start, stop, or restart Managed Servers.
`string` | `node-manager-password-encrypted` optional The password that the Administration Server passes to a Node Manager when it instructs the Node Manager to start, stop, or restart Managed Servers.
`boolean` | `downgrade-untrusted-principals` optional Whether or not to downgrade to anonymous principals that cannot be verified.
`boolean` | `enforce-strict-url-pattern` optional Whether or not the system should enforce strict URL pattern or not.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1